/passkey/list-user-passkeys
GET
/passkey/list-user-passkeys
const url = 'https://gymgym.club/api/auth/passkey/list-user-passkeys';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://gymgym.club/api/auth/passkey/list-user-passkeys \ --header 'Authorization: Bearer <token>'List all passkeys for the authenticated user
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Passkeys retrieved successfully
Media typeapplication/json
Array of passkey objects associated with the user
Array<object>
object
id
required
string
name
string
publicKey
required
string
userId
required
string
credentialID
required
string
counter
required
number
deviceType
required
string
backedUp
required
boolean
transports
string
createdAt
string format: date-time
aaguid
string
Examplegenerated
[ { "name": "example", "publicKey": "example", "userId": "example", "credentialID": "example", "counter": 1, "deviceType": "example", "backedUp": true, "transports": "example", "createdAt": "2026-04-15T12:00:00Z", "aaguid": "example" }]Bad Request. Usually due to missing parameters, or invalid parameters.
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Unauthorized. Due to missing or invalid authentication.
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Forbidden. You do not have permission to access this resource or to perform this action.
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}Not Found. The requested resource was not found.
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}Too Many Requests. You have exceeded the rate limit. Try again later.
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}Internal Server Error. This is a problem with the server that you cannot fix.
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}